Qt 5.11 | Qt 3D | C++ Classes | QBuffer

Qt 5.11.3 Reference Documentation

# Obsolete Members for QBuffer

The following members of class QBuffer are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(obsolete)` enum | BufferType { VertexBuffer, IndexBuffer, PixelPackBuffer, PixelUnpackBuffer, ..., DrawIndirectBuffer }

## Properties

- `(obsolete)` type : BufferType

## Public Functions

`(obsolete)` | QBuffer(Qt3DRender::QBuffer::BufferType ty, Qt3DCore::QNode *parent = nullptr)

## Member Type Documentation

### enum QBuffer::BufferType

The type of the buffer.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QBuffer::VertexBuffer` | `0x8892` | GL_ARRAY_BUFFER
`Qt3DRender::QBuffer::IndexBuffer` | `0x8893` | GL_ELEMENT_ARRAY_BUFFER
`Qt3DRender::QBuffer::PixelPackBuffer` | `0x88EB` | GL_PIXEL_PACK_BUFFER
`Qt3DRender::QBuffer::PixelUnpackBuffer` | `0x88EC` | GL_PIXEL_UNPACK_BUFFER
`Qt3DRender::QBuffer::UniformBuffer` | `0x8A11` | GL_UNIFORM_BUFFER
`Qt3DRender::QBuffer::ShaderStorageBuffer` | `0x90D2` | GL_SHADER_STORAGE_BUFFER
`Qt3DRender::QBuffer::DrawIndirectBuffer` | `0x8F3F` | GL_DRAW_INDIRECT_BUFFER

## Property Documentation

### type : BufferType

Holds the buffer type.

Access functions:

Qt3DRender::QBuffer::BufferType | type() const
void | setType(Qt3DRender::QBuffer::BufferType type)

Notifier signal:

void | typeChanged(Qt3DRender::QBuffer::BufferType type)

## Member Function Documentation

### QBuffer::QBuffer(Qt3DRender::QBuffer::BufferType ty, Qt3DCore::QNode *parent = nullptr)

Constructs a new QBuffer of buffer type ty with parent.